﻿
@layout Shared.MainLayout
@page "/createNurse"
@using Model.Enum
@page "/navigate"
@inject NavigationManager NavigationManager

<center><h3>Create Nurse</h3></center>

<div class="container">
    @if (loggedNurseDto.Email != null)
    {
        <EditForm Model="@nurseDto" OnValidSubmit="@(e => SubmitAsync(nurseDto))">
            <DataAnnotationsValidator />
            <div class="row">
                <div class="col">
                    <input type="hidden" @bind="nurseDto.Id" />

                    Name: <input type="text" name="name" class="form-control" @bind="nurseDto.Name" /><br /><br />
                    <ValidationMessage For="@(() => nurseDto.Name)" />

                    NIC: <input type="text" name="nic" class="form-control" @bind="nurseDto.Nic" /><br /><br />
                    <ValidationMessage For="@(() => nurseDto.Nic)" />

                    Email: <input type="text" name="email" class="form-control" @bind="nurseDto.Email" readonly /><br /><br />
                    <ValidationMessage For="@(() => nurseDto.Email)" />

                    @*Current Hospital: <input type="text" name="currenthospital" class="form-control" @bind="nurseDto.CurrentHospitalId" /><br /><br />
                        <ValidationMessage For="@(() => nurseDto.CurrentHospital)" />*@


                    Current Hospital: <select class="form-control col-12" @bind="nurseDto.CurrentHospitalId">
    <option value="0" selected>Select Current Hospital</option>
    @foreach (var hospital in hospitalList)
    {
        <option value="@hospital.Id">@hospital.Name</option>
    }
</select><br /><br />
                    <ValidationMessage For="@(() => nurseDto.CurrentHospitalId)" />
                </div>


                <div class="col">

                    Mobile No: <input type="text" name="mobileNumber" class="form-control" @bind="nurseDto.MobileNumber" /><br /><br />
                    <ValidationMessage For="@(() => nurseDto.MobileNumber)" />

                    Extra Mobile: <input type="text" name="extraMobile" class="form-control" @bind="nurseDto.ExtraMobileNo" /><br /><br />
                    <ValidationMessage For="@(() => nurseDto.ExtraMobileNo)" />

                    Promo Code: <input type="text" name="promoCode" class="form-control" @bind="nurseDto.MyPromoCode" /><br /><br />
                    <ValidationMessage For="@(() => nurseDto.MyPromoCode)" />

                    Expected Hospital: <select class="form-control" @bind="expectedHospitalId">
                        <option value="0" selected>Select Expected Hospital</option>
                        @foreach (var hospital in hospitalList)
                        {
                            <option value="@hospital.Id">@hospital.Name</option>
                        }
                    </select> <br /><br />

                    @*<div class="row">
                            Package: <select class="form-control" @onchange=@packageSelectionChange value="@nurseDto.PackageId">
                                <option value="0" selected>select package</option>
                                @foreach (var packageType in Enum.GetValues(typeof(PackageTypes)))
                                {
                                    <option>@packageType</option>
                                }
                            </select>
                            <br /><br />
                        </div>*@


                    <div class="">
                        <button type="submit" name="Create" class="btn btn-success btn-sm"><span class="oi oi-check"></span> Create</button>
                        <button type="button" @onclick="FormReset" class="btn btn-secondary btn-sm" data-dismiss="modal">Reset</button>
                    </div>


                </div>


            </div>
        </EditForm>
    }
    else
    {
        <div>
            <div class="spinner-grow text-info" role="status">
                <span class="sr-only">Loading...</span>
            </div>
            <div class="alert alert-warning" role="alert">
                Data Loading...
            </div>
        </div>
    }
</div>

